import { Command } from 'ckeditor5/src/core';

export default class InsertNeonHeadingCommand extends Command {
    execute({ level, value }) {
        const editor = this.editor;
        const model = editor.model;

        model.change(writer => {
            const headingElement = writer.createElement('heading' + level);
            writer.setAttribute('class', value, headingElement);
            model.insertContent(headingElement);
            writer.setSelection(headingElement, 'in');
        });
    }

    refresh() {
        this.isEnabled = true;
    }
}
